summaryrefslogtreecommitdiff
path: root/package/gdk-pixbuf/S26gdk-pixbuf
diff options
context:
space:
mode:
authorLionel Landwerlin <llandwerlin@gmail.com>2010-11-04 09:18:57 +0100
committerPeter Korsgaard <jacmet@sunsite.dk>2010-11-05 10:07:26 +0100
commit4411017f86a54c4c8007eaf2458a85dc0510c624 (patch)
treed370b97960dd24a13c2e0091b7e7041315256130 /package/gdk-pixbuf/S26gdk-pixbuf
parent89d1ad91fe4b1b65f0e902f94aba99a6cefbf631 (diff)
gdk-pixbuf/libgtk2: move gdk-pixbuf loader cache setup script
Signed-off-by: Lionel Landwerlin <llandwerlin@gmail.com> Acked-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com> Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'package/gdk-pixbuf/S26gdk-pixbuf')
-rw-r--r--package/gdk-pixbuf/S26gdk-pixbuf19
1 files changed, 19 insertions, 0 deletions
diff --git a/package/gdk-pixbuf/S26gdk-pixbuf b/package/gdk-pixbuf/S26gdk-pixbuf
new file mode 100644
index 000000000..82b7944e7
--- /dev/null
+++ b/package/gdk-pixbuf/S26gdk-pixbuf
@@ -0,0 +1,19 @@
+#!/bin/sh
+#
+# run gdk-pixbuf-query-loaders if needed
+
+FILE=/usr/lib/gdk-pixbuf-2.0/2.10.0/loaders.cache
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/gdk-pixbuf-query-loaders --update-cache
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac